Page MenuHomePhabricator

Invalid parameter for message "api-help-permissions-granted-to"
Closed, ResolvedPublic

Description

Warning: Invalid parameter for message "api-help-permissions-granted-to":                                                                    a:2:{i:0;s:3:"bot";i:1;s:5:"sysop";} in /srv/mediawiki/tags/2016-12-07_08:07:30/includes/Message.php
                    on line 1158

This message belongs to MediaWiki core, but the error might be in core or not.

Related Objects

View Standalone Graph
This task is connected to more than 200 other tasks. Only direct parents and subtasks are shown here. Use View Standalone Graph to show more of the graph.

Event Timeline

Nemo_bis created this task.Dec 7 2016, 2:07 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 7 2016, 2:07 PM
Anomie claimed this task.Dec 7 2016, 2:48 PM
Anomie added a subscriber: Anomie.

Looks like a bug in Message to me. $message->params() supposedly takes parameters both varargs-style and as an array, but it breaks if you happen to pass one of the special parameters (from Message::numParam() and the like) as the first one.

Change 325790 had a related patch set uploaded (by Anomie):
Message: Fix buggy parameter handling in Message::params()

https://gerrit.wikimedia.org/r/325790

Anomie moved this task from Unsorted to Needs Review on the MediaWiki-API board.Dec 7 2016, 3:33 PM

Change 325790 merged by jenkins-bot:
Message: Fix buggy parameter handling in Message::params()

https://gerrit.wikimedia.org/r/325790

Anomie closed this task as Resolved.Dec 14 2016, 2:24 PM

Change 327658 had a related patch set uploaded (by Reedy):
Message: Fix buggy parameter handling in Message::params()

https://gerrit.wikimedia.org/r/327658

Change 327658 merged by jenkins-bot:
Message: Fix buggy parameter handling in Message::params()

https://gerrit.wikimedia.org/r/327658